GemFireHealthConfig (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: GemFireHealthConfig

Package org.apache.geode.admin

# Interface GemFireHealthConfig

All Superinterfaces:
  `CacheHealthConfig`, `MemberHealthConfig`

@Deprecated public interface GemFireHealthConfig extends MemberHealthConfig, CacheHealthConfig
Deprecated.
as of 7.0 use the `management` package instead
Provides configuration information relating to all of the components of a GemFire distributed system.

Since:
  GemFire 3.5

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_HEALTH_EVALUATION_INTERVAL`
  Deprecated.
  The default number of seconds between assessments of the health of the GemFire components.

  ### Fields inherited from interface org.apache.geode.admin.CacheHealthConfig

  `DEFAULT_MAX_EVENT_QUEUE_SIZE, DEFAULT_MAX_LOAD_TIME, DEFAULT_MAX_NET_SEARCH_TIME, DEFAULT_MIN_HIT_RATIO`

  ### Fields inherited from interface org.apache.geode.admin.MemberHealthConfig

  `DEFAULT_MAX_MESSAGE_QUEUE_SIZE, DEFAULT_MAX_REPLY_TIMEOUTS, DEFAULT_MAX_RETRANSMISSION_RATIO, DEFAULT_MAX_VM_PROCESS_SIZE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHealthEvaluationInterval()`
  Deprecated.
  Returns the number of seconds between assessments of the health of the GemFire components.
  `String`
  `getHostName()`
  Deprecated.
  Returns the name of the host to which this configuration applies.
  `void`
  `setHealthEvaluationInterval(int interval)`
  Deprecated.
  Sets the number of seconds between assessments of the health of the GemFire components.

  ### Methods inherited from interface org.apache.geode.admin.CacheHealthConfig

  `getMaxEventQueueSize, getMaxLoadTime, getMaxNetSearchTime, getMinHitRatio, setMaxEventQueueSize, setMaxLoadTime, setMaxNetSearchTime, setMinHitRatio`

  ### Methods inherited from interface org.apache.geode.admin.MemberHealthConfig

  `getMaxMessageQueueSize, getMaxReplyTimeouts, getMaxRetransmissionRatio, getMaxVMProcessSize, setMaxMessageQueueSize, setMaxReplyTimeouts, setMaxRetransmissionRatio, setMaxVMProcessSize`

- ## Field Details

  - ### DEFAULT_HEALTH_EVALUATION_INTERVAL

    static final int DEFAULT_HEALTH_EVALUATION_INTERVAL
    Deprecated.
    The default number of seconds between assessments of the health of the GemFire components.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getHostName

    String getHostName()
    Deprecated.
    Returns the name of the host to which this configuration applies. If this is the "default" configuration, then `null` is returned.
    Returns:
      the name of the host to which this configuration applies
    See Also:
      - `GemFireHealth.getGemFireHealthConfig(java.lang.String)`

  - ### setHealthEvaluationInterval

    void setHealthEvaluationInterval(int interval)
    Deprecated.
    Sets the number of seconds between assessments of the health of the GemFire components.
    Parameters:
      `interval` - the number of seconds between assessments of the health of the GemFire components

  - ### getHealthEvaluationInterval

    int getHealthEvaluationInterval()
    Deprecated.
    Returns the number of seconds between assessments of the health of the GemFire components.
    Returns:
      the number of seconds between assessments of the health of the GemFire components